servo: Merge #10917 - The manifest_changed.sh doesn't need binary to update the manifests (from askeing:fix_10909); r=aneeshusa
authoraskeing <askeing@gmail.com>
Sat, 30 Apr 2016 08:37:27 -0700
changeset 338676 5fcdeedac844adcd2fa3185c3398baa497517b29
parent 338675 35ceae5a60882e6b168e5549257c76a0e80b7930
child 338677 3d0ae0846d9c80c68c29f2d9d87e7d5e0b6d6aed
push id31307
push usergszorc@mozilla.com
push dateSat, 04 Feb 2017 00:59:06 +0000
treeherdermozilla-central@94079d43835f [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersaneeshusa
servo: Merge #10917 - The manifest_changed.sh doesn't need binary to update the manifests (from askeing:fix_10909); r=aneeshusa fix #10909 Source-Repo: https://github.com/servo/servo Source-Revision: d3f55fbf60c72329a2c820bbc7ed1440e9966481
servo/etc/ci/manifest_changed.sh
--- a/servo/etc/ci/manifest_changed.sh
+++ b/servo/etc/ci/manifest_changed.sh
@@ -1,5 +1,16 @@
 #!/bin/bash
-./mach test-wpt --manifest-update SKIP_TESTS > /dev/null
+set -o errexit
+set -o nounset
+set -o pipefail
+
+# We shouldn't need any binary at all to update the manifests.
+# Adding "SKIP_TESTS" to skip tests, it doesn't really skip the tests.
+# It will run "run_wpt" with "'test_list': ['SKIP_TESTS']",
+# and then pass it into wptrunner, which won't be able to find any tests named "SKIP_TESTS",
+# and thus won't run any.
+# Adding "--binary=" to skip looking for a compiled servo binary.
+./mach test-wpt --manifest-update --binary= SKIP_TESTS > /dev/null
+
 diff=$(git diff -- tests/*/MANIFEST.json)
 echo "$diff"
 [[ ! $diff ]]